<<< Previous |  | Next >>>

# FcFontMatch

## Name

FcFontMatch -- Return best font

## Synopsis

    #include <fontconfig.h>

``FcPattern * `FcFontMatch``(FcConfig *`config`, FcPattern *`p`, FcResult *`result`);`

## Description

Finds the font in `sets` most closely matching `pattern` and returns the result of `FcFontRenderPrepare` for that font and the provided pattern. This function should be called only after `FcConfigSubstitute` and `FcDefaultSubstitute` have been called for `p`; otherwise the results will not be correct. If `config` is NULL, the current configuration is used.

## Version

Fontconfig version 2.8.0

<<< Previous | Home | Next >>>
FcConfigSubstitute | Up | FcFontSort